import type { NodePath, PluginPass, ConfigAPI } from '@babel/core';
import type { OutputOptions } from './handlers';
import type { ProcessorConfig } from './Processor';
declare type CompileOptions = {
    typescript: ProcessorConfig['typescript'];
    evaluate: ProcessorConfig['evaluate'];
};
export declare type MacroConfig = Partial<{
    compileOptions: Partial<CompileOptions>;
    outputOptions: Partial<OutputOptions>;
}>;
export declare type MacroOptions = {
    state: PluginPass;
    babel: ConfigAPI;
    config?: MacroConfig;
    references: Record<string, NodePath[]>;
};
export declare function macro({ references, state, config: _config }: MacroOptions): {
    keepImports: boolean;
} | undefined;
export {};
